DealerAI
API Reference

Get New Cars

Retrieves a paginated list of new cars for the authenticated dealership, ordered by creation date.

GET
/api/v1/inventory/new
AuthorizationBasic <token>

Basic Authorization header

In: header

Query Parameters

Skip?integer

Gets or sets the number of rows to skip.

Formatint32
Range0 <= value <= 2147483647
Take?integer

Gets or sets the number of rows to take.

Formatint32
Range1 <= value <= 500

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.dealerai.com/api/v1/inventory/new"
{
  "total_row_count": 0,
  "row_count": 0,
  "rows": [
    {
      "vin": "string",
      "stock_number": "string",
      "year": 0,
      "manufacturer": "string",
      "model": "string",
      "trim": "string",
      "price": 0.1,
      "display_price": 0,
      "type": "string",
      "description": "string",
      "options": "string",
      "color": "string",
      "is_demo": "string",
      "is_deleted": true,
      "currency_code": "string",
      "transmission": "string",
      "fuel_type": "string",
      "drive_train": "string",
      "doors": "string",
      "seats": "string",
      "engine": "string",
      "horse_power": 0,
      "torque": 0,
      "fuel_economy_city": 0,
      "fuel_economy_highway": 0,
      "condition": "string",
      "image_url": "string",
      "image_url_list": "string",
      "video_url": "string",
      "dealer_id": "string",
      "source_id": "string",
      "source_system": "string",
      "date_created": "2019-08-24T14:15:22Z",
      "stock_status": "string",
      "monthly_lease_payment": 0,
      "monthly_finance_payment": 0
    }
  ]
}
{
  "message": "string",
  "details": null
}
{
  "message": "string",
  "details": null
}
{
  "message": "string",
  "details": null
}